<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceBookingResponse StructType
 * @subpackage Structs
 */
class ServiceBookingResponse extends AbstractStructBase
{
    /**
     * The BookingRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_BookingRS
     */
    public $BookingRS;
    /**
     * Constructor method for ServiceBookingResponse
     * @uses ServiceBookingResponse::setBookingRS()
     * @param \StructType\JP_BookingRS $bookingRS
     */
    public function __construct(\StructType\JP_BookingRS $bookingRS = null)
    {
        $this
            ->setBookingRS($bookingRS);
    }
    /**
     * Get BookingRS value
     * @return \StructType\JP_BookingRS|null
     */
    public function getBookingRS()
    {
        return $this->BookingRS;
    }
    /**
     * Set BookingRS value
     * @param \StructType\JP_BookingRS $bookingRS
     * @return \StructType\ServiceBookingResponse
     */
    public function setBookingRS(\StructType\JP_BookingRS $bookingRS = null)
    {
        $this->BookingRS = $bookingRS;
        return $this;
    }
}
